# -*- encoding: utf-8 -*-
##############################################################################
#
#    Account invoice layout - Fleet maintenance compatibility module for OpenERP
#    Copyright (C) 2012 Akretion (http://www.akretion.com). All Rights Reserved
#    @author Alexis de Lattre <alexis.delattre@akretion.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv

class account_invoice_line(osv.osv):
    _inherit = "account.invoice.line"

    def onchange_invoice_line_view(self, cr, uid, id, type, context=None, *args):
        res = super(account_invoice_line, self).onchange_invoice_line_view(cr, uid, id, type, context=context, *args)
        if type != 'article':
            res['value'].update({
                'is_maintenance': False,
                'subfleet_required': False,
                'maintenance_start_date': False,
                'maintenance_end_date': False,
                'maintenance_product_qty': False,
                'maintenance_month_qty': False,
                'fleet_id': False,
                })
        return res

